<!--Sökpaket <a [routerLink]="['/search']" [queryParams]="{queryTerm:'sommar',categories:['sommarjobb_arbetstagare','jobb'], industries:['bygg','it']}">It-jobb</a>-->

<div class="container-fluid" style="margin-bottom: 200px; overflow: hidden; min-height: 2000px">
  <div class="bg-container-top"></div>
  <div class="bg-container-mid"></div>
  <div class="bg-tree"></div>
  <div class="container">
    <div class=" mb-4">
      <div class="row result-info d-flex justify-content-center">
        <div class="col-md-4">
          <h1 class="result-header">Hitta rätt tjänst</h1>
        </div>
        <div class="col-md-6 col-sm-12">
          <p>
            Här hittar du alla anslutna tjänster för jobb, utbildning och coachning, sorterade fint efter hur du söker. 
            Skriv in vad du letar efter och smalna sedan av efter bransch eller typ av tjänst. 
            Eller, om du vill göra det enkelt för dig: använd våra föreslagna taggar, eller välj bland våra färdiga sök nedanför. 
          </p>
        </div>
      </div>
  </div>

  <div class="row search-row ">
    <div class="col-12 d-flex justify-content-center target-group">
      <div class="row justify-content-between target-group-radio" ngbRadioGroup name="radioBasic">
        <div class="col-md-5 custom-control custom-radio custom-control-inline">
          <input type="radio" id="targetGrRadioInline2" name="targetGrRadio" class="custom-control-input"
                 value="WORKER"
                 [ngModel]="searchService.targetGroup"
                 (ngModelChange)="setTargetGroup($event)"
                 data-cy="arbetstagare">
          <label class="custom-control-label" for="targetGrRadioInline2">Jag är arbetstagare</label>
        </div>
        <div class="col-md-5 custom-control custom-radio custom-control-inline">
          <input type="radio" id="targetGrRadioInline1" name="targetGrRadio" class="custom-control-input"
                 value="EMPLOYER"
                 [ngModel]="searchService.targetGroup"
                 (ngModelChange)="setTargetGroup($event)"
                 data-cy="arbetsgivare">
          <label class="custom-control-label" for="targetGrRadioInline1">Jag är arbetsgivare</label>
        </div>
      </div>
    </div>

    <div class="col-12 d-flex justify-content-center search-input-field">
      <div class="search">
        <input type="text" class="searchTerm" 
              [(ngModel)]="searchService.queryTerm" 
              (keydown)="onKeydown($event)"
              data-cy="search-field">
        <div class="search-button">
          <button type="button" class="btn btn-primary btn-sort-toggle" (click)="searchService.loadFirstPage('searchClick')">
              <i class="material-icons magnifier">search</i> Sök
          </button>
        </div>
      </div>
    </div>

  </div>
  <div class="row d-flex justify-content-center">

    <div class="col-12 col-lg-10" *ngIf="searchService.tagsResponse | async; let tags; else loading">
      <ngu-carousel #tagCarousel [inputs]="carouselTags" [dataSource]="tags">
        <button NguCarouselPrev class='leftRs carouselBtn'><i class="fas fa-angle-left fa-lg"></i></button>

        <ngu-item NguCarouselItem class="tags-div" *nguCarouselDef="let tag;">
          <button class="btn btn-outline-secondary tag-btn" (click)="onTagClick(tag)"
              [title]="'Hittade '+tag.count+' tjänster med denna tagg'">
            # {{ tag.tag }}
          </button>
        </ngu-item>

        <button NguCarouselNext class='rightRs carouselBtn'><i class="fas fa-angle-right fa-lg"></i></button>
      </ngu-carousel>
    </div>

    <div class="col-10">
      <app-filters [(industryChecked)]="industryChecked" [(categoryChecked)]="categoryChecked"></app-filters>
    </div>

  </div>
  <!--[routerLink]="['/service', service.identifier]"-->
  <div *ngIf="searchService.searchResponse | async; let searchResponse">
    <h2><span class="search-result-title"> Hittade tjänster - </span><span class="search-number"> {{searchResponse.totalNumberOfItems}} st</span></h2>

    <div class="row search-result justify-content-md-center"
    infinite-scroll
    [infiniteScrollDistance]="scrollDistance"
    [infiniteScrollThrottle]="throttle"
    [scrollWindow]="true"
    (scrolled)="searchService.loadNextPage()">

      <article class="col-lg-4 col-md-6 result-col mt-3" *ngFor="let service of searchService.services | async; let i = index" [attr.data-index]="i">
        <a [routerLink]="['/service', service.identifier]" target="_blank" (click)="onServiceClick(service, i)">
          <div class="search-result-card row">
            <div class="col-4 result-image">
              <img src="{{service.imageUrl}}" [alt]="'Bild för '+service.title" src-fallback="{{ placeholder }}">
            </div>
            <div class="col-8 mt-2">
              <h4 class="result-title">{{service.title}}</h4>
            </div>
            <div class="col-12 result-description">{{service.shortDescription || '' | truncate : 120}}</div>
            <div class="result-footer mt-2">
              <div hidden="hidden">träff {{i+1}} med ranking {{service.rank}}</div>
              <i class="material-icons arrow-right mr-2">
                keyboard_arrow_right
              </i>
            </div>

          </div>
        </a>
      </article>
    </div>
  </div>
</div>
</div>

<ng-template #loading>..</ng-template>
